<?php
/**
 * Plugin cinotif
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/cinotif_commun');


function exec_cinotif_suiviabonnements_rubrique(){
	
	$id_rubrique= intval(_request('id_rubrique'));
	
	if ($id_rubrique) {
		$row = sql_fetsel("id_rubrique,titre", "spip_rubriques", "id_rubrique=$id_rubrique");
		if ($row) {
			$id_rubrique = $row['id_rubrique'];
			$type = $row['titre'];
			$titre = typo($type);
		}
	}

	if (!$id_rubrique OR !autoriser('modifier','rubrique',$id_rubrique)) {
		include_spip('inc/minipres');
		echo minipres();
	} else {
	
		$commencer_page = charger_fonction('commencer_page', 'inc');
		echo $commencer_page($titre, "configuration", "configuration");
		
		if (spip_version()<3){
                    echo "<br />\n";
                    echo gros_titre($titre,'', false);
                }
                
		echo debut_gauche('', true);
//		$cinotif_navigation = charger_fonction('cinotif_navigation', 'configuration');
//	  	echo $cinotif_navigation();
		
		echo creer_colonne_droite('', true);
		echo debut_droite('', true);
				
//		echo debut_cadre_relief('',true,'',_T('cinotif:suivi_abonnements_rubrique'));

		$exec = "rubrique";
	
		$url = generer_url_ecrire($exec,"id_rubrique=$id_rubrique");

		$icone_retour = icone_verticale(_T('icone_retour'), $url, "secteur-24.gif", "rien.gif",$GLOBALS['spip_lang_right']);


                    echo '<div class="box simple"><div class="inner">'
                        .'<div class="hd"><div><span class="icone verticale left retour">'.$icone_retour.'</span></div>'
                        ._T('cinotif:suivi_abonnements_rubrique').'<h1>'.$titre.'</h1>'
                        .'<div class="nettoyeur"></div></div>'
                        .'<div class="bd">';
			
		$rub_ec = '';
		if (defined('_DIR_PLUGIN_CIAR')){
			if (ciar_rub_ec($id_rubrique))
				$rub_ec = 'oui';	
		}
			
		$contexte = array(
			'icone_retour'=>$icone_retour,
			'titre'=>$type,
			'redirect'=>$url,
			'new'=> $id_rubrique,
			'rub_ec' => $rub_ec,
			'config_fonc'=>''
		);
		
		echo recuperer_fond("prive/objets/liste/cinotif_suiviabonnements_rubrique", $contexte);
		
                echo '<div class="nettoyeur"></div></div></div>'
                    .'</div>';
                
		echo fin_gauche(), fin_page();
	}
}

?>